InMemoryMessagingNetwork.PeerHandle
Keywords: net.corda.testing.node.InMemoryMessagingNetwork.PeerHandle class
Date: 2023-09-18

net.corda.testing.node

## Class InMemoryMessagingNetwork.PeerHandle

- net.corda.testing.node.InMemoryMessagingNetwork.PeerHandle

- All Implemented Interfaces:
    MessageRecipients, SingleMessageRecipient
  Enclosing class:
    InMemoryMessagingNetwork

      public static class InMemoryMessagingNetwork.PeerHandle
      implements SingleMessageRecipient

  A class which represents information about an entity on the `class InMemoryMessagingNetwork`.

  See Also:
    `class InMemoryMessagingNetwork`

- - ### Constructor Detail

    - #### PeerHandle

          public PeerHandle(int id,
                            @NotNull
                            CordaX500Name name)

      A class which represents information about an entity on the `class InMemoryMessagingNetwork`.

      Parameters:
        `id` - An integer giving the node an ID on the `class InMemoryMessagingNetwork`.
        `name` - The node's `class CordaX500Name`.
      See Also:
        `class InMemoryMessagingNetwork`

  - ### Method Detail

    - #### toString

          @NotNull
          public java.lang.String toString()

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object other)

    - #### hashCode

          public int hashCode()

    - #### getId

          public int getId()

      An integer giving the node an ID on the

      `class InMemoryMessagingNetwork`.

      See Also:
        `class InMemoryMessagingNetwork`

    - #### getName

          @NotNull
          public CordaX500Name getName()

      The node

      's `class CordaX500Name`.

      See Also:
        `class CordaX500Name`

    - #### component1

          public int component1()

      An integer giving the node an ID on the

      `class InMemoryMessagingNetwork`.

      See Also:
        `class InMemoryMessagingNetwork`

    - #### component2

          @NotNull
          public CordaX500Name component2()

      The node

      's `class CordaX500Name`.

      See Also:
        `class CordaX500Name`

    - #### copy

          @NotNull
          public net.corda.testing.node.InMemoryMessagingNetwork.PeerHandle copy(int id,
                                                                                          @NotNull
                                                                                          CordaX500Name name)

      A class which represents information about an entity on the `class InMemoryMessagingNetwork`.

      See Also:
        `class InMemoryMessagingNetwork`